Bug 79615 - efax does not appear to use lockdev properly
efax does not appear to use lockdev properly
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: efax (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-13 19:14 EST by Andre
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 15:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre 2002-12-13 19:14:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
efax fails with

efax: 06:41 Error: can't open pre-lock file /var/lock/TMP..02443: Permission denied

unless the /var/lock directory is made world writeable.

Version-Release number of selected component (if applicable):
efax-0.9-16
lockdev-1.0.0-20

How reproducible:
Always

Steps to Reproduce:
1.run kdeprintfax
2.attempt to send a fax

    

Actual Results:  efax: 06:41 Error: can't open pre-lock file
/var/lock/TMP..02443: Permission denied

Expected Results:  efax should use lockdev (which is sgid lock) to properly lock
the devices.  When /var/lock is changed to be world wrietable, the fax sends
fine (which is not ideal from a security point of view, but is certainly a
simple work-around).

Additional info:
Comment 1 Aleksey Nogin 2004-05-26 00:39:17 EDT
This is still present in FC2 (efax-0.9-21).
Comment 2 Matthew Miller 2005-04-26 12:40:11 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Aleksey Nogin 2005-04-26 14:35:09 EDT
efax-0.9-22 is FC3 does not attempt to lock anything by default and provides a
-u option to specify a lock file. IMHO it should still be changed to use lockdev.
Comment 4 John Thacker 2006-10-29 15:48:00 EST
Closing per lack of response to previous comment.  FC3 and FC4 are supported for
security purposes only by Fedora Legacy.  If the bug is a security bug, please
reopen and assign to Fedora Legacy.  If the bug still occurs in FC5 or FC6,
please reopen and assign to the appropriate version.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.